---
title: Selection.removeRange()
slug: Web/API/Selection/removeRange
tags:
  - API
  - Experimental
  - HTML Editing
  - Method
  - Reference
  - Selection
---
<div>
<div>
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>
</div>
</div>

<p>The <strong><code>Selection.removeRange()</code></strong> method removes a range from a selection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sel</em>.removeRange(<em>range</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em><code>range</code></em></dt>
 <dd>A range object that will be removed to the selection.</dd>
</dl>

<h3 id="Examples">Return value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">/* Programmaticaly, more than one range can be selected.
 * This will remove all ranges except the first. */
s = window.getSelection();
if(s.rangeCount &gt; 1) {
 for(var i = 1; i &lt; s.rangeCount; i++) {
  s.removeRange(s.getRangeAt(i));
 }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-removerange', 'Selection.removeRange()')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.removeRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
